WP6VariableLengthGroup Class Reference

`#include <WP6VariableLengthGroup.h>`

Inheritance diagram for WP6VariableLengthGroup:

## Public Member Functions

| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()
virtual void | parse (WP6Listener *listener)=0

## Static Public Member Functions

static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Protected Member Functions

void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Private Member Functions

| WP6VariableLengthGroup (const WP6VariableLengthGroup &)
WP6VariableLengthGroup & | operator= (const WP6VariableLengthGroup &)

## Private Attributes

unsigned char | m_subGroup
unsigned short | m_size
unsigned char | m_flags
std::vector< unsigned short > | m_prefixIDs
unsigned short | m_sizeNonDeletable
unsigned short | m_sizeDeletable

## Constructor & Destructor Documentation

## WP6VariableLengthGroup() [1/2]

WP6VariableLengthGroup::WP6VariableLengthGroup | ( |  | ) |

Referenced by constructVariableLengthGroup(), operator=(), WP6BoxGroup::WP6BoxGroup(), WP6CharacterGroup::WP6CharacterGroup(), WP6ColumnGroup::WP6ColumnGroup(), WP6DisplayNumberReferenceGroup::WP6DisplayNumberReferenceGroup(), WP6EOLGroup::WP6EOLGroup(), WP6FootnoteEndnoteGroup::WP6FootnoteEndnoteGroup(), WP6HeaderFooterGroup::WP6HeaderFooterGroup(), WP6NumberingMethodGroup::WP6NumberingMethodGroup(), WP6PageGroup::WP6PageGroup(), WP6ParagraphGroup::WP6ParagraphGroup(), WP6SetNumberGroup::WP6SetNumberGroup(), WP6StyleGroup::WP6StyleGroup(), WP6TabGroup::WP6TabGroup(), WP6UnsupportedVariableLengthGroup::WP6UnsupportedVariableLengthGroup(), and WP6VariableLengthGroup().

## ~WP6VariableLengthGroup()

WP6VariableLengthGroup::~WP6VariableLengthGroup | ( |  | ) |

override

## WP6VariableLengthGroup() [2/2]

WP6VariableLengthGroup::WP6VariableLengthGroup | ( | const WP6VariableLengthGroup & |  | ) |

private

## Member Function Documentation

## _read()

void WP6VariableLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected

Referenced by WP6BoxGroup::WP6BoxGroup(), WP6CharacterGroup::WP6CharacterGroup(), WP6ColumnGroup::WP6ColumnGroup(), WP6DisplayNumberReferenceGroup::WP6DisplayNumberReferenceGroup(), WP6EOLGroup::WP6EOLGroup(), WP6FootnoteEndnoteGroup::WP6FootnoteEndnoteGroup(), WP6HeaderFooterGroup::WP6HeaderFooterGroup(), WP6NumberingMethodGroup::WP6NumberingMethodGroup(), WP6PageGroup::WP6PageGroup(), WP6ParagraphGroup::WP6ParagraphGroup(), WP6SetNumberGroup::WP6SetNumberGroup(), WP6StyleGroup::WP6StyleGroup(), WP6TabGroup::WP6TabGroup(), and WP6UnsupportedVariableLengthGroup::WP6UnsupportedVariableLengthGroup().

## _readContents()

virtual void WP6VariableLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | ,
|  | WPXEncryption * | )

inline protected virtual

Reimplemented in WP6BoxGroup, WP6CharacterGroup, WP6ColumnGroup, WP6DisplayNumberReferenceGroup, WP6EOLGroup, WP6FootnoteEndnoteGroup, WP6HeaderFooterGroup, WP6NumberingMethodGroup, WP6PageGroup, WP6ParagraphGroup, WP6SetNumberGroup, WP6StyleGroup, and WP6TabGroup.

Referenced by _read().

## constructVariableLengthGroup()

WP6VariableLengthGroup * WP6VariableLengthGroup::constructVariableLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | groupID )

static

Referenced by WP6Part::constructPart().

## getFlags()

unsigned char WP6VariableLengthGroup::getFlags | ( |  | ) | const

inline protected

Referenced by WP6TabGroup::_readContents(), WP6BoxGroup::parse(), and WP6ColumnGroup::parse().

## getNumPrefixIDs()

unsigned char WP6VariableLengthGroup::getNumPrefixIDs | ( |  | ) | const

inline protected

Referenced by WP6BoxGroup::parse(), WP6CharacterGroup::parse(), WP6EOLGroup::parse(), WP6FootnoteEndnoteGroup::parse(), WP6HeaderFooterGroup::parse(), WP6PageGroup::parse(), WP6ParagraphGroup::parse(), and WP6StyleGroup::parse().

## getPrefixIDs()

const unsigned short * WP6VariableLengthGroup::getPrefixIDs | ( |  | ) | const

inline protected

Referenced by WP6BoxGroup::parse(), WP6CharacterGroup::parse(), WP6EOLGroup::parse(), WP6FootnoteEndnoteGroup::parse(), WP6HeaderFooterGroup::parse(), WP6PageGroup::parse(), WP6ParagraphGroup::parse(), and WP6StyleGroup::parse().

## getSize()

unsigned short WP6VariableLengthGroup::getSize | ( |  | ) | const

inline protected

Referenced by WP6TabGroup::_readContents().

## getSizeDeletable()

unsigned short WP6VariableLengthGroup::getSizeDeletable | ( |  | ) | const

inline protected

Referenced by WP6CharacterGroup::_readContents().

## getSizeNonDeletable()

unsigned short WP6VariableLengthGroup::getSizeNonDeletable | ( |  | ) | const

inline protected

Referenced by WP6EOLGroup::_readContents(), and WP6ParagraphGroup::_readContents().

## getSubGroup()

unsigned char WP6VariableLengthGroup::getSubGroup | ( |  | ) | const

inline protected

Referenced by WP6BoxGroup::_readContents(), WP6CharacterGroup::_readContents(), WP6ColumnGroup::_readContents(), WP6DisplayNumberReferenceGroup::_readContents(), WP6NumberingMethodGroup::_readContents(), WP6PageGroup::_readContents(), WP6ParagraphGroup::_readContents(), WP6SetNumberGroup::_readContents(), WP6StyleGroup::_readContents(), WP6TabGroup::_readContents(), WP6BoxGroup::parse(), WP6CharacterGroup::parse(), WP6ColumnGroup::parse(), WP6DisplayNumberReferenceGroup::parse(), WP6EOLGroup::parse(), WP6FootnoteEndnoteGroup::parse(), WP6HeaderFooterGroup::parse(), WP6NumberingMethodGroup::parse(), WP6PageGroup::parse(), WP6SetNumberGroup::parse(), WP6StyleGroup::parse(), and WP6TabGroup::parse().

## isGroupConsistent()

bool WP6VariableLengthGroup::isGroupConsistent | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | groupID )

static

Referenced by WP6Part::constructPart().

## operator=()

WP6VariableLengthGroup & WP6VariableLengthGroup::operator= | ( | const WP6VariableLengthGroup & |  | ) |

private

## Member Data Documentation

## m_flags

unsigned char WP6VariableLengthGroup::m_flags

private

Referenced by _read(), getFlags(), and WP6VariableLengthGroup().

## m_prefixIDs

std::vector<unsigned short> WP6VariableLengthGroup::m_prefixIDs

private

Referenced by _read(), getNumPrefixIDs(), getPrefixIDs(), and WP6VariableLengthGroup().

## m_size

unsigned short WP6VariableLengthGroup::m_size

private

Referenced by _read(), getSize(), and WP6VariableLengthGroup().

## m_sizeDeletable

unsigned short WP6VariableLengthGroup::m_sizeDeletable

private

Referenced by _read(), getSizeDeletable(), and WP6VariableLengthGroup().

## m_sizeNonDeletable

unsigned short WP6VariableLengthGroup::m_sizeNonDeletable

private

Referenced by _read(), getSizeNonDeletable(), and WP6VariableLengthGroup().

## m_subGroup

unsigned char WP6VariableLengthGroup::m_subGroup

private

Referenced by _read(), getSubGroup(), and WP6VariableLengthGroup().

The documentation for this class was generated from the following files:

- WP6VariableLengthGroup.h
- WP6VariableLengthGroup.cpp